This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1314685 - policycoreutils-gui missing python-slip-dbus dependency
policycoreutils-gui missing python-slip-dbus dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 04:07 EST by Ben Reedy
Modified: 2016-03-09 15:11 EST (History)
3 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-21.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:50:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Reedy 2016-03-04 04:07:19 EST
Description of problem:
selinux-polgengui fails to start. Running the command from a terminal reveals missing python library.


Version-Release number of selected component (if applicable):
2.4-20.fc23

How reproducible:
Always

Steps to Reproduce:
1. Run selinux-polgengui


Actual results:
Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 753, in <module>
    app = childWindow()
  File "/usr/bin/selinux-polgengui", line 180, in __init__
    self.all_modules = sepolicy.get_all_modules()
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 166, in get_all_modules
    from .sedbus import SELinuxDBus
  File "/usr/lib64/python2.7/site-packages/sepolicy/sedbus.py", line 5, in <module>
    from slip.dbus import polkit
ImportError: No module named slip.dbus

Expected results:
selinux-polgengui runs normally

Additional info:
Manually installing python-slip-dbus resolved the issue.
Comment 1 Petr Lautrbach 2016-03-05 09:01:12 EST
The requirement added. Thank you for the report.
Comment 2 Fedora Update System 2016-03-05 09:01:38 EST
policycoreutils-2.4-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7b26739e
Comment 3 Fedora Update System 2016-03-05 21:57:11 EST
policycoreutils-2.4-21.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7b26739e
Comment 4 Fedora Update System 2016-03-09 10:50:13 EST
policycoreutils-2.4-21.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-03-09 13:45:45 EST
policycoreutils-2.4-21.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-09 15:11:13 EST
policycoreutils-2.4-21.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.